#using scripts\codescripts\struct;

#using scripts\shared\callbacks_shared;
#using scripts\shared\system_shared;

#using scripts\shared\flag_shared;	// spawn message flags
#using scripts\shared\array_shared;	// spawn message array

#using scripts\zm\_zm_perks; // include zm_perks

#insert scripts\shared\shared.gsh;

#namespace clientids;

REGISTER_SYSTEM( "clientids", &__init__, undefined )
	
function __init__()
{
	callback::on_start_gametype( &init );
	callback::on_connect( &on_player_connect );
	callback::on_spawned( &on_player_spawned ); // spawn message function
}	

function init()
{
	// this is now handled in code ( not lan )
	// see s_nextScriptClientId 
	level.clientid = 0;
	// set client dvars
	SetDvar("r_fog", "0");
	SetDvar("r_dof_enable", "0");
	SetDvar("r_lodbiasrigid", "-1000");
	SetDvar("r_modellodbias", "10");
	level.perk_purchase_limit = 25; // no perk limit
	// level.player_starting_points = 500000;
}

function on_player_connect()
{
	self.clientid = matchRecordNewPlayer( self );
	if ( !isdefined( self.clientid ) || self.clientid == -1 )
	{
		self.clientid = level.clientid;
		level.clientid++;	// Is this safe? What if a server runs for a long time and many people join/leave
	}

}

function on_player_spawned()
{
	//Spawn Message
	level flag::wait_till("initial_blackscreen_passed");
	self iPrintLnBold("Follow ^2@thahrimdon ^7on ^1YouTube ^7& ^6Twitch^7!");
//	self thread print(); //Print message on knife
}

/*
function print()
{
	for(;;)
	{
		if(self MeleeButtonPressed())
		{
			iPrintLnBold("Follow ^2@thahrimdon ^7on ^1YouTube ^7& ^6Twitch^7!");
			wait 1;
		}
		wait 0.05;
	}
}
*/